package Uebungen.Uebung5;

public class Aufgabe3 {
    public static void main(String[] args){
        int[] myArray = {1,2,3};
        outputArray(myArray);
        myArray = anfuegen(myArray, 4);
        outputArray(myArray);
    }
    //
    public static int[] anfuegen(int[] inputArray, int addedInt){
        int[] outputArray = new int[inputArray.length+1];
        for(int i=0;i<inputArray.length;i++)
            outputArray[i] = inputArray[i];
        outputArray[inputArray.length]=addedInt;
        return outputArray;
    }

    public static void outputArray(int[] inputArray){
        System.out.print("[");
        for(int i=0;i<inputArray.length;i++)
            if(inputArray.length-1==i)
                System.out.print(inputArray[i]);
            else
                System.out.print(inputArray[i]+" ,");
        System.out.println("]");
    }
}
